Package icyllis.modernui.graphics.text

# Class LineBreaker.ParagraphConstraints

java.lang.Object
icyllis.modernui.graphics.text.LineBreaker.ParagraphConstraints

Enclosing class:
  `LineBreaker`

public static class LineBreaker.ParagraphConstraints extends Object
Line breaking constraints for single paragraph.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParagraphConstraints()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `getDefaultTabStop()`
  Returns the default tab stops in pixels.
  `float`
  `getFirstWidth()`
  Return the first line's width for this paragraph in pixel.
  `float[]`
  `getTabStops()`
  Returns the array of tab stops in pixels.
  `float`
  `getWidth()`
  Return the width for this paragraph in pixels.
  `void`
  `setIndent(float firstWidth)`
  Set indent for this paragraph.
  `void`
  `setTabStops(float[] tabStops, float defaultTabStop)`
  Set tab stops for this paragraph.
  `void`
  `setWidth(float width)`
  Set width for this paragraph.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParagraphConstraints

    public ParagraphConstraints()

- ## Method Details

  - ### setWidth

    public void setWidth(float width)
    Set width for this paragraph.
    See Also:
      - `getWidth()`

  - ### setIndent

    public void setIndent(float firstWidth)
    Set indent for this paragraph.
    Parameters:
      `firstWidth` - the line width of the starting of the paragraph
    See Also:
      - `getFirstWidth()`

  - ### setTabStops

    public void setTabStops(@Nullable float[] tabStops, float defaultTabStop)
    Set tab stops for this paragraph.
    Parameters:
      `tabStops` - the array of pixels of tap stopping position
      `defaultTabStop` - pixels of the default tab stopping position
    See Also:
      - `getTabStops()`
      - `getDefaultTabStop()`

  - ### getWidth

    public float getWidth()
    Return the width for this paragraph in pixels.
    See Also:
      - `setWidth(float)`

  - ### getFirstWidth

    public float getFirstWidth()
    Return the first line's width for this paragraph in pixel.
    See Also:
      - `setIndent(float)`

  - ### getTabStops

    @Nullable public float[] getTabStops()
    Returns the array of tab stops in pixels.
    See Also:
      - `setTabStops(float[], float)`

  - ### getDefaultTabStop

    public float getDefaultTabStop()
    Returns the default tab stops in pixels.
    See Also:
      - `setTabStops(float[], float)`